chrome.webNavigation.onDOMContentLoaded.addListener(async ({ tabId, url }) => {
  if (!url.includes('play.backgammongalaxy.com')) return;

  chrome.webRequest.onBeforeSendHeaders.addListener(
    e => {
      const authHeader = e.requestHeaders.find(header => header.name === 'Authorization');
      if (authHeader) {
        chrome.tabs.sendMessage(tabId, { type: 'setAuthHeader', authHeader: authHeader.value });
      }
    },
    // match all requests to the API in stats/api/analyses
    { urls: ["https://play.backgammongalaxy.com/stats/api/*"] },
    ["requestHeaders"],
  );


  chrome.scripting.executeScript({
    target: { tabId },
    files: ['js/snapgammon.js']
  });
});
